subscriptions
Current subscription, plan changes with proration, cancel/resume, add-ons, coupons.
Current subscription, plan changes with proration, cancel/resume, add-ons, coupons.
| Method | Path | Operation | Scope | Test mode |
|---|---|---|---|---|
| POST | /v1/billing/addons | subscriptions_addon_purchase: Purchase an add-on | billing:write | - |
| POST | /v1/billing/coupons/redeem | subscriptions_coupon_redeem: Redeem a coupon or partner referral code | billing:write | - |
| GET | /v1/billing/subscription | subscriptions_get: Current subscription | billing:read | - |
| POST | /v1/billing/subscription/cancel | subscriptions_cancel: Cancel at period end | billing:write | - |
| POST | /v1/billing/subscription/change | subscriptions_change: Upgrade, downgrade or switch interval | billing:write | - |
| POST | /v1/billing/subscription/preview | subscriptions_preview: Price, proration and tax preview for a plan change | billing:read | - |
| POST | /v1/billing/subscription/resume | subscriptions_resume: Undo a scheduled cancel | billing:write | - |
Request and response schemas: the interactive reference at https://api.wapitick.com/docs, or docs/api/openapi.json.